Multivariate Pattern Analysis in Python

# mvpa2.datasets.gifti

Support for surface-based GIFTI data IO.

This module offers functions to import into PyMVPA surface-based GIFTI data using NiBabel, and export PyMVPA surface-based datasets back into GIFTI.

The current implementation supports data associated with nodes, and node indices for such data. There is no support for meta-data, or non-identity affine transformations.

This module supports node data, i.e. each node on the surface has N values associated with it (with N>=1). Typical examples include time series data and statistical maps.

Optionally, anatomical information (vertices and faces) can be stored, so that FreeSurfer’s mris_convert can read data written by map2gifti.

Functions

`gifti_dataset`(samples[, targets, chunks])

Parameters: |

`map2gifti`(ds[, filename, encoding, surface]) | Maps data(sets) into a GiftiImage, and optionally saves it to disc.